D4Science Infrastructure - Task #6933

Problem adding GCoreEndpoint to devsec VREs
Feb 06, 2017 06:35 PM - Massimiliano Assante

Status: Closed Start date: Feb 06, 2017
Priority: Normal Due date:

Assignee: Roberto Cirillo % Done: 100%
Category: Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Development

Description

The addToScope operation from Resources Management fails when trying to add the following gCoreEndpoint to any of device's
VREs, in particular i tried with devVRE and SmartCamera:

<Profile>
<Description>gCube OAUTH Service</Description>
<Version>1.0.0-SNAPSHOT</Version>
<GHN UniqueID="a6dab9f9-50d5-4e0c-ad8d-b95b9£f3b9%ald" />
<Service UniqueID="oauthPortall.O.0-SNAPSHOT" />
<ServiceName>oauth</ServiceName>

<ServiceClass>Portal</ServiceClass>

History

#1 - Feb 13,2017 10:15 AM - Roberto Cirillo

- Tracker changed from Incident to Task

#2 - Apr 05, 2017 03:02 PM - Roberto Cirillo

this problem seems due to a problem with http/https redirection on socialnetworking-d-d4s.d4science.org.
| see from ResourceManager logs the following exception:

Caused by: javax.xml.ws.WebServiceException: Failed to access the WSDL at: http://socialnetworking-d-d4s.d4sci
ence.org:80/whn-manager/gcube/vremanagement /ws/whnmanager?wsdl

the wsdl seems to be correctly published only on https:

https://socialnetworking-d-d4s.d4science.org/whn-manager/gcube/vremanagement/ws/whnmanager?wsdl

please @andrea.dellamico@isti.cnr.it could you check it?

#3 - Apr 05, 2017 04:12 PM - Roberto Cirillo
- Status changed from New to Closed

- % Done changed from 0 to 100

I've removed the variable "http_redirect_to_https" from ansible playbook and the problem is solved. I've added successfully the devVRE and
SmartCamera scopes
